using SqlSugar;
using System;
using System.Collections.Generic;

namespace YBDevice.Entity
{
    /// <summary>
    /// 菜单表
    /// </summary>
    [SugarTable("YB_nMenu", TableDescription = "菜单表", IsDisabledUpdateAll = false, IsDisabledDelete = true)]
    public class YB_nMenu
    {
        /// <summary>
        /// 
        /// </summary>
        [SugarColumn(IsPrimaryKey = true)]
        public Guid Id { get; set; }

        /// <summary>
        /// 菜单名称
        /// </summary>
        [SugarColumn(ColumnDescription = "菜单名称", ColumnDataType = "nvarchar(50)")]
        public System.String Name { get; set; }

        /// <summary>
        /// 菜单地址
        /// </summary>
        [SugarColumn(ColumnDescription = "菜单地址", ColumnDataType = "varchar(100)")]
        public System.String Url { get; set; }

        /// <summary>
        /// 图标,阿里图标
        /// </summary>
        [SugarColumn(ColumnDescription = "图标,阿里图标", ColumnDataType = "varchar(100)")]
        public System.String Icon { get; set; }

        /// <summary>
        /// 排序,数字越小越靠前
        /// </summary>
        [SugarColumn(ColumnDescription = "排序,数字越小越靠前")]
        public System.Int32 SortCode { get; set; }

        /// <summary>
        /// 上级ID
        /// </summary>
        [SugarColumn(ColumnDescription = "上级ID")]
        public Guid ParentId { get; set; }

        /// <summary>
        /// 备注
        /// </summary>
        [SugarColumn(ColumnDescription = "备注", ColumnDataType = "nvarchar(200)")]
        public System.String Remark { get; set; }

        /// <summary>
        /// 状态,0-禁用,1-启用
        /// </summary>
        [SugarColumn(ColumnDescription = "状态,0-禁用,1-启用")]
        public StatusType Status { get; set; }
        /// <summary>
        /// 是否只有超级管理员能够查看,0-否,1-是
        /// </summary>
        [SugarColumn(ColumnDescription = "是否只有超级管理员能够查看,0-否,1-是")]
        public int IsSuper { get; set; }

        /// <summary>
        /// 创建时间
        /// </summary>
        [SugarColumn(ColumnDescription = "创建时间")]
        public System.DateTime CreateTime { get; set; }
        /// <summary>
        /// 子菜单列表
        /// </summary>
        [SugarColumn(IsIgnore = true)]
        public List<YB_nMenu> Children { get; set; }
    }
}
